#!/bin/csh -f
# Copyright, 1990, The University of Paderborn
# $Id: colaLalr.cmd,v 1.1 1991/11/06 12:57:51 cogito Exp $
# colaLalr <
#     colaCmr	"The COMAR datastructure of the abstract parser"*
#     colaAbs	"The state table of the abstract parser"*
#     colaInfo	"result of LALR(1)-analyse, conflict states/all states"
#     > "LALR(1)-analyse and generation of the abstract parser":
# 	USER
# 		: colaCmrBnf
# 		: colaLalrOpt

umask 0
cd (|<RUNDIR|)

ln -s (|<colaCmrBnf|) bnf
ln -s (|>colaCmr|) bnf.abs1
ln -s (|>colaAbs|) bnf.abs2

(|$/Tool/cola/cola_absprs.exe|) (|<colaLalrOpt|) bnf >>&! (|>ERROR|)

mv core* core >&/dev/null
if ( -e core ) then
   echo "Fatal error: COLA core dumped." >>! (|>ERROR|)
   exit 0
endif

if ( -e bnf.info ) then
	mv bnf.info (|>colaInfo|)
else
	echo "Grammar is LALR(1)." >! (|>colaInfo|)
endif


exit 0
